buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From reborg <rebor...@gmail.com>
Subject Re: installing buildr 1.3.1 on Windows/JRuby
Date Mon, 02 Jun 2008 23:47:43 GMT

I solved this creating the gem locally from the buildr SVN check-out (which
seems to have the correct rubyforge dependency set to 1.0.x):

1. svn co http://svn.apache.org/repos/asf/incubator/buildr/trunk buildr
2. ../jruby-1.1.2/bin/jruby -S rake install (from the buildr dir)
3. ../jruby-1.1.2/bin/jruby -S gem install pkg/buildr-1.3.1-java.gem

I can't translate this to the windows prompt, but hope you can arrange it so
it works for you.

Renzo 


EricReece wrote:
> 
> I'm a newb so take it easy on me please.  Windows XP, JRuby 1.1.2,
> Buildr 1.3.1 - using windows command prompt - not cygwin.
> 
> I'm getting errors/version issues with hoe 1.5.3 => rubyforge 1.0.0 and
> buildr => rubyforge 0.4.5.  It looks like hoe 1.5.3 and rubyforge 1.0.0
> have just been released within the last week or so.  Like I said I'm a
> newb so I don't know how to deal with versioning issues like this.  Any
> help would be appreciated.
> 
> Here is the error when simply trying to run buildr using the -v option:
> 

-- 
View this message in context: http://www.nabble.com/installing-buildr-1.3.1-on-Windows-JRuby-tp17564189p17613326.html
Sent from the Buildr - User mailing list archive at Nabble.com.


Mime
View raw message